//
//  DetailViewController.m
//  TableView
//
//  Created by iPhone SDK Articles on 1/17/09.
//  Copyright www.iPhoneSDKArticles.com 2009. 
//

#import "DetailViewController.h"
#import	"WebViewController.h"


@implementation DetailViewController

@synthesize selectedBook;
@synthesize urlBook;
@synthesize boton;
@synthesize searchBook;
@synthesize bookDetail;
@synthesize synopsis;


-(IBAction)download:(id)sender{
	
	if(urlBook)
	{
		printf("DESCARGANDO....\n\n\n\n");
		 
		//Create an instance of WebViewController and sail to the next view
		WebViewController *webView = [[WebViewController alloc]initWithNibName:@"WebViewController" bundle:nil];
		webView.url = urlBook;
		[self.navigationController pushViewController:webView animated:YES];
				
	}
}


/*
// The designated initializer. Override to perform setup that is required before the view is loaded.
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    if (self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil]) {
        // Custom initialization
    }
    return self;
}
*/

/*
// Implement loadView to create a view hierarchy programmatically, without using a nib.
- (void)loadView {
}
*/


// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad {
    [super viewDidLoad];
	self.navigationController.navigationBar.tintColor= [UIColor blackColor];
	self.view.backgroundColor = [UIColor colorWithPatternImage:[UIImage imageNamed:@"background_brown.jpg"]];
	
	//Display the selected book.
	searchBook.text = selectedBook;
	//Set the title of the navigation bar
	self.navigationItem.title = @"Book Details";
	
	
	//bookDetail.backgroundColor = [UIColor colorWithPatternImage:[UIImage imageNamed:@"background_brown.jpg"]];
	bookDetail.backgroundColor = [UIColor blackColor];
	
	
	bookDetail.text = synopsis;
	
	
}


/*
// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}
*/

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning]; // Releases the view if it doesn't have a superview
    // Release anything that's not essential, such as cached data
}


- (void)dealloc {
	
	[boton release];
	[selectedBook release];
	[searchBook release];
    [super dealloc];
}


@end
